"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConfigurationRecorder_1 = require("../model/operations/DeleteConfigurationRecorder");
var DeleteConfigurationRecorderCommand = /** @class */ (function () {
    function DeleteConfigurationRecorderCommand(input) {
        this.input = input;
        this.model = DeleteConfigurationRecorder_1.DeleteConfigurationRecorder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConfigurationRecorderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConfigurationRecorderCommand;
}());
exports.DeleteConfigurationRecorderCommand = DeleteConfigurationRecorderCommand;
//# sourceMappingURL=DeleteConfigurationRecorderCommand.js.map