"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteOrganizationConfigRule_1 = require("../model/operations/DeleteOrganizationConfigRule");
var DeleteOrganizationConfigRuleCommand = /** @class */ (function () {
    function DeleteOrganizationConfigRuleCommand(input) {
        this.input = input;
        this.model = DeleteOrganizationConfigRule_1.DeleteOrganizationConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteOrganizationConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteOrganizationConfigRuleCommand;
}());
exports.DeleteOrganizationConfigRuleCommand = DeleteOrganizationConfigRuleCommand;
//# sourceMappingURL=DeleteOrganizationConfigRuleCommand.js.map