"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationAggregators_1 = require("../model/operations/DescribeConfigurationAggregators");
var DescribeConfigurationAggregatorsCommand = /** @class */ (function () {
    function DescribeConfigurationAggregatorsCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationAggregators_1.DescribeConfigurationAggregators;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationAggregatorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationAggregatorsCommand;
}());
exports.DescribeConfigurationAggregatorsCommand = DescribeConfigurationAggregatorsCommand;
//# sourceMappingURL=DescribeConfigurationAggregatorsCommand.js.map