"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOrganizationConfigRules_1 = require("../model/operations/DescribeOrganizationConfigRules");
var DescribeOrganizationConfigRulesCommand = /** @class */ (function () {
    function DescribeOrganizationConfigRulesCommand(input) {
        this.input = input;
        this.model = DescribeOrganizationConfigRules_1.DescribeOrganizationConfigRules;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOrganizationConfigRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOrganizationConfigRulesCommand;
}());
exports.DescribeOrganizationConfigRulesCommand = DescribeOrganizationConfigRulesCommand;
//# sourceMappingURL=DescribeOrganizationConfigRulesCommand.js.map