"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRemediationConfigurations_1 = require("../model/operations/DescribeRemediationConfigurations");
var DescribeRemediationConfigurationsCommand = /** @class */ (function () {
    function DescribeRemediationConfigurationsCommand(input) {
        this.input = input;
        this.model = DescribeRemediationConfigurations_1.DescribeRemediationConfigurations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRemediationConfigurationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRemediationConfigurationsCommand;
}());
exports.DescribeRemediationConfigurationsCommand = DescribeRemediationConfigurationsCommand;
//# sourceMappingURL=DescribeRemediationConfigurationsCommand.js.map