"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAggregateDiscoveredResources_1 = require("../model/operations/ListAggregateDiscoveredResources");
var ListAggregateDiscoveredResourcesCommand = /** @class */ (function () {
    function ListAggregateDiscoveredResourcesCommand(input) {
        this.input = input;
        this.model = ListAggregateDiscoveredResources_1.ListAggregateDiscoveredResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAggregateDiscoveredResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAggregateDiscoveredResourcesCommand;
}());
exports.ListAggregateDiscoveredResourcesCommand = ListAggregateDiscoveredResourcesCommand;
//# sourceMappingURL=ListAggregateDiscoveredResourcesCommand.js.map