"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SelectResourceConfig_1 = require("../model/operations/SelectResourceConfig");
var SelectResourceConfigCommand = /** @class */ (function () {
    function SelectResourceConfigCommand(input) {
        this.input = input;
        this.model = SelectResourceConfig_1.SelectResourceConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SelectResourceConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SelectResourceConfigCommand;
}());
exports.SelectResourceConfigCommand = SelectResourceConfigCommand;
//# sourceMappingURL=SelectResourceConfigCommand.js.map