"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartRemediationExecution_1 = require("../model/operations/StartRemediationExecution");
var StartRemediationExecutionCommand = /** @class */ (function () {
    function StartRemediationExecutionCommand(input) {
        this.input = input;
        this.model = StartRemediationExecution_1.StartRemediationExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartRemediationExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartRemediationExecutionCommand;
}());
exports.StartRemediationExecutionCommand = StartRemediationExecutionCommand;
//# sourceMappingURL=StartRemediationExecutionCommand.js.map