"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutConfigurationAggregatorInput_1 = require("../shapes/PutConfigurationAggregatorInput");
var PutConfigurationAggregatorOutput_1 = require("../shapes/PutConfigurationAggregatorOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var NoAvailableOrganizationException_1 = require("../shapes/NoAvailableOrganizationException");
var OrganizationAllFeaturesNotEnabledException_1 = require("../shapes/OrganizationAllFeaturesNotEnabledException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutConfigurationAggregator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutConfigurationAggregator",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutConfigurationAggregatorInput_1.PutConfigurationAggregatorInput
    },
    output: {
        shape: PutConfigurationAggregatorOutput_1.PutConfigurationAggregatorOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        },
        {
            shape: NoAvailableOrganizationException_1.NoAvailableOrganizationException
        },
        {
            shape: OrganizationAllFeaturesNotEnabledException_1.OrganizationAllFeaturesNotEnabledException
        }
    ]
};
//# sourceMappingURL=PutConfigurationAggregator.js.map