"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutDeliveryChannelInput_1 = require("../shapes/PutDeliveryChannelInput");
var PutDeliveryChannelOutput_1 = require("../shapes/PutDeliveryChannelOutput");
var MaxNumberOfDeliveryChannelsExceededException_1 = require("../shapes/MaxNumberOfDeliveryChannelsExceededException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var InvalidDeliveryChannelNameException_1 = require("../shapes/InvalidDeliveryChannelNameException");
var NoSuchBucketException_1 = require("../shapes/NoSuchBucketException");
var InvalidS3KeyPrefixException_1 = require("../shapes/InvalidS3KeyPrefixException");
var InvalidSNSTopicARNException_1 = require("../shapes/InvalidSNSTopicARNException");
var InsufficientDeliveryPolicyException_1 = require("../shapes/InsufficientDeliveryPolicyException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutDeliveryChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutDeliveryChannel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutDeliveryChannelInput_1.PutDeliveryChannelInput
    },
    output: {
        shape: PutDeliveryChannelOutput_1.PutDeliveryChannelOutput
    },
    errors: [
        {
            shape: MaxNumberOfDeliveryChannelsExceededException_1.MaxNumberOfDeliveryChannelsExceededException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        },
        {
            shape: InvalidDeliveryChannelNameException_1.InvalidDeliveryChannelNameException
        },
        {
            shape: NoSuchBucketException_1.NoSuchBucketException
        },
        {
            shape: InvalidS3KeyPrefixException_1.InvalidS3KeyPrefixException
        },
        {
            shape: InvalidSNSTopicARNException_1.InvalidSNSTopicARNException
        },
        {
            shape: InsufficientDeliveryPolicyException_1.InsufficientDeliveryPolicyException
        }
    ]
};
//# sourceMappingURL=PutDeliveryChannel.js.map