"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartConfigurationRecorderInput_1 = require("../shapes/StartConfigurationRecorderInput");
var StartConfigurationRecorderOutput_1 = require("../shapes/StartConfigurationRecorderOutput");
var NoSuchConfigurationRecorderException_1 = require("../shapes/NoSuchConfigurationRecorderException");
var NoAvailableDeliveryChannelException_1 = require("../shapes/NoAvailableDeliveryChannelException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartConfigurationRecorder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartConfigurationRecorder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartConfigurationRecorderInput_1.StartConfigurationRecorderInput
    },
    output: {
        shape: StartConfigurationRecorderOutput_1.StartConfigurationRecorderOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationRecorderException_1.NoSuchConfigurationRecorderException
        },
        {
            shape: NoAvailableDeliveryChannelException_1.NoAvailableDeliveryChannelException
        }
    ]
};
//# sourceMappingURL=StartConfigurationRecorder.js.map